---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libfollowref005.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x29D0, symSize: 0x2A0 }
  - { offsetInCU: 0x46F, offset: 0x46F, size: 0x8, addend: 0x0, symName: _g_fakeUserData, symObjAddr: 0x4FA60, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x484, offset: 0x484, size: 0x8, addend: 0x0, symName: _g_wrongHeapCallbacks, symObjAddr: 0x4FA68, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0xAF2, offset: 0xAF2, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FAF0, symBinAddr: 0x7260, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51A30, symBinAddr: 0x91A0, symSize: 0x0 }
  - { offsetInCU: 0xB3B, offset: 0xB3B, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51E20, symBinAddr: 0x9590, symSize: 0x0 }
  - { offsetInCU: 0xB5D, offset: 0xB5D, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52DC0, symBinAddr: 0xA530, symSize: 0x0 }
  - { offsetInCU: 0xB72, offset: 0xB72, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52DD0, symBinAddr: 0xA540, symSize: 0x0 }
  - { offsetInCU: 0xBED, offset: 0xBED, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F780, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBF8, offset: 0xBF8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F784, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xC03, offset: 0xC03, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F788, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC48, offset: 0xC48, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F8D0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xCC1, offset: 0xCC1, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F988, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F98C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCF8, offset: 0xCF8, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F990, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xD11, offset: 0xD11, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F994, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD2A, offset: 0xD2A, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F998, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x9319, offset: 0x9319, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F9A0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x93A2, offset: 0x93A2, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4F9B0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x93BB, offset: 0x93BB, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F9B8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93D4, offset: 0x93D4, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F9C0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93ED, offset: 0x93ED, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F9C8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x9406, offset: 0x9406, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F9D0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x9420, offset: 0x9420, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F9D8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x9506, offset: 0x9506, size: 0x8, addend: 0x0, symName: __ZL9g_timeout, symObjAddr: 0x4FA20, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9558, offset: 0x9558, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1650, symSize: 0x80 }
  - { offsetInCU: 0x95ED, offset: 0x95ED, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x15A0, symSize: 0xB0 }
  - { offsetInCU: 0x9648, offset: 0x9648, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x14A0, symSize: 0x100 }
  - { offsetInCU: 0x98DB, offset: 0x98DB, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x16D0, symSize: 0xC0 }
  - { offsetInCU: 0x992D, offset: 0x992D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1790, symSize: 0x220 }
  - { offsetInCU: 0x9B12, offset: 0x9B12, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x19B0, symSize: 0xA0 }
  - { offsetInCU: 0x9BC5, offset: 0x9BC5, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1A50, symSize: 0x110 }
  - { offsetInCU: 0x9CBB, offset: 0x9CBB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1B60, symSize: 0x150 }
  - { offsetInCU: 0x9E18, offset: 0x9E18, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1CB0, symSize: 0x30 }
  - { offsetInCU: 0x9EA1, offset: 0x9EA1, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1CE0, symSize: 0x150 }
  - { offsetInCU: 0xA099, offset: 0xA099, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1E30, symSize: 0x160 }
  - { offsetInCU: 0xA359, offset: 0xA359, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1F90, symSize: 0x4A0 }
  - { offsetInCU: 0xA5CC, offset: 0xA5CC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2430, symSize: 0x1B0 }
  - { offsetInCU: 0xA7E7, offset: 0xA7E7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x25E0, symSize: 0xA0 }
  - { offsetInCU: 0xA8B6, offset: 0xA8B6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2680, symSize: 0x20 }
  - { offsetInCU: 0xA8ED, offset: 0xA8ED, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x26A0, symSize: 0x20 }
  - { offsetInCU: 0xA924, offset: 0xA924, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x26C0, symSize: 0x20 }
  - { offsetInCU: 0xAA93, offset: 0xAA93, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x26E0, symSize: 0x1A0 }
  - { offsetInCU: 0xADAF, offset: 0xADAF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2880, symSize: 0x150 }
  - { offsetInCU: 0xAF6C, offset: 0xAF6C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2C70, symSize: 0x1D0 }
  - { offsetInCU: 0xB268, offset: 0xB268, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2E40, symSize: 0x80 }
  - { offsetInCU: 0xB331, offset: 0xB331, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2EC0, symSize: 0x6C0 }
  - { offsetInCU: 0xBEA7, offset: 0xBEA7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA2F0, symBinAddr: 0x4270, symSize: 0xB0 }
  - { offsetInCU: 0xBF1E, offset: 0xBF1E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3580, symSize: 0x70 }
  - { offsetInCU: 0xBFDA, offset: 0xBFDA, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x35F0, symSize: 0xA0 }
  - { offsetInCU: 0xC0B9, offset: 0xC0B9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3690, symSize: 0x40 }
  - { offsetInCU: 0xC1AF, offset: 0xC1AF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x36D0, symSize: 0x2B0 }
  - { offsetInCU: 0xC555, offset: 0xC555, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3980, symSize: 0xC0 }
  - { offsetInCU: 0xC69B, offset: 0xC69B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3A40, symSize: 0x10 }
  - { offsetInCU: 0xC75D, offset: 0xC75D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3A50, symSize: 0x240 }
  - { offsetInCU: 0xCA46, offset: 0xCA46, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3C90, symSize: 0x10 }
  - { offsetInCU: 0xCAA3, offset: 0xCAA3, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3CA0, symSize: 0x1E0 }
  - { offsetInCU: 0xCD02, offset: 0xCD02, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F00, symBinAddr: 0x3E80, symSize: 0x10 }
  - { offsetInCU: 0xCE44, offset: 0xCE44, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F10, symBinAddr: 0x3E90, symSize: 0x3E0 }
  - { offsetInCU: 0xD305, offset: 0xD305, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA3A0, symBinAddr: 0x4320, symSize: 0x36A }
...
